ch.qos.logback.classic.db

## Class DBHelper

- java.lang.Object
- - ch.qos.logback.classic.db.DBHelper

    public class DBHelper
    extends java.lang.Object

Author:
  Ceki Gülcü

### Field Summary

Fields
`static short` `EXCEPTION_EXISTS`
`static short` `PROPERTIES_EXIST`

### Constructor Summary

Constructors
Constructor and Description
`DBHelper()`

### Method Summary

Methods
`static short` `computeReferenceMask(ILoggingEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROPERTIES_EXIST

    public static final short PROPERTIES_EXIST

See Also:
  Constant Field Values

#### EXCEPTION_EXISTS

    public static final short EXCEPTION_EXISTS

See Also:
  Constant Field Values

### Constructor Detail

#### DBHelper

    public DBHelper()

### Method Detail

#### computeReferenceMask

    public static short computeReferenceMask(ILoggingEvent event)